Update an app integration SMTP

Updates the app integration SMTP by the given id.

put
Path parameters
idstringRequired

The id of the app integration SMTP.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

The request data transfer object for the SMTP integration.

appIntegrationIdstring · min: 1Required

The type of the SMTP integration.

namestring · min: 1Required

The name of the SMTP integration.

hoststring · min: 1Required

The host of the SMTP integration.

portinteger · int32Required

The port of the SMTP integration.

usernamestring · min: 1Required

The username of the SMTP integration.

passwordstring · min: 1Required

The password of the SMTP integration.

useTlsboolean · nullableOptional

Flag to indicate if the SMTP integration uses TLS. By default, it is set to false.

isDefaultboolean · nullableOptional

Flag to indicate if the SMTP integration is the default. By default, it is set to false.

descriptionstring · nullableOptional

The description of the SMTP integration.

statusstring · enumOptional

This enum is used to define the common status of an object in JFW.

Supported values:

  • Inactive - In case of JFW object's status being inactive.
  • Active - In case of JFW object's status being active
Possible values:
Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

put
/api/v1/app-integrations/smtp/{id}

Last updated